Bug 6325 - Bib detail - z39.50 button functionality should be under "Edit" menu.
Summary: Bib detail - z39.50 button functionality should be under "Edit" menu.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Liz Rea
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-10 20:54 UTC by Liz Rea
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.27 KB, patch)
2011-05-10 22:10 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-05-10 20:54:22 UTC
The Z39.50 button on the bib detail screen does not work like any other instance of that button, and it can be confusing for users.

Every other button that looks like that provides import functionality for new bib records. This one *overwrites* the current bib with the new, imported bib, and can cause cataloging errors if a staff member absent-mindedly uses it instead of one of the other similar-looking buttons. 

The functionality is very useful, as it allows staff to upgrade/replace a record with a better version VERY easily. I think we should keep it. 

I propose putting the button functionality under the "Edit" drop down, as "Replace record via z39.50"
Comment 1 Liz Rea 2011-05-10 22:10:23 UTC
Created attachment 4073 [details] [review]
Proposed patch

Moves the button functionality under the "Edit" drop down, as "Replace Record via Z39.50"

To test:
Click Edit -> Replace Record via Z39.50 and attempt to replace the record.
Comment 2 Liz Rea 2011-05-11 04:16:32 UTC
druthb sent signoff to the list. :)
Comment 3 Chris Cormack 2011-08-01 01:49:14 UTC
Template changes, works as advertised, pushed please test